Databases - Force Link To Replication Group
Forcibly recreates an existing database on the specified cluster, and rejoins it to an existing replication group. IMPORTANT NOTE: All data in this database will be discarded, and the database will temporarily be unavailable while rejoining the replication group.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Cache/redisEnterprise/{clusterName}/databases/{databaseName}/forceLinkToReplicationGroup?api-version=2026-09-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
cluster
|
path | True |
string pattern: ^(?=.{1,60}$)[A-Za-z0-9]+(-[A-Za-z0-9]+)*$ |
The name of the Redis Enterprise cluster. Name must be 1-60 characters long. Allowed characters(A-Z, a-z, 0-9) and hyphen(-). There can be no leading nor trailing nor consecutive hyphens |
|
database
|
path | True |
string pattern: ^(?=.{1,60}$)[A-Za-z0-9]+(-[A-Za-z0-9]+)*$ |
The name of the Redis Enterprise database. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| geoReplication | True |
Properties to configure geo replication for this database. |
Responses
| Name | Type | Description |
|---|---|---|
| 202 Accepted |
Resource operation accepted. Headers
|
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
How to relink a database after a regional outage
Sample request
POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Cache/redisEnterprise/cache1/databases/default/forceLinkToReplicationGroup?api-version=2026-09-01
{
"geoReplication": {
"groupNickname": "groupName",
"linkedDatabases": [
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Cache/redisEnterprise/cache1/databases/default"
},
{
"id": "/subscriptions/11111111-1111-1111-1111-111111111111/resourceGroups/rg2/providers/Microsoft.Cache/redisEnterprise/cache2/databases/default"
}
]
}
}
Sample response
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Cache/...pathToOperationStatus...
Definitions
| Name | Description |
|---|---|
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Force |
Parameters for reconfiguring active geo-replication, of an existing database that was previously unlinked from a replication group. |
|
Force |
Properties to configure geo replication for this database. |
|
Linked |
Specifies details of a linked database resource. |
|
Link |
State of the link between the database resources. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
ForceLinkParameters
Parameters for reconfiguring active geo-replication, of an existing database that was previously unlinked from a replication group.
| Name | Type | Description |
|---|---|---|
| geoReplication |
Properties to configure geo replication for this database. |
ForceLinkParametersGeoReplication
Properties to configure geo replication for this database.
| Name | Type | Description |
|---|---|---|
| groupNickname |
string |
The name of the group of linked database resources. This should match the existing replication group name. |
| linkedDatabases |
The resource IDs of the databases that are expected to be linked and included in the replication group. This parameter is used to validate that the linking is to the expected (unlinked) part of the replication group, if it is splintered. |
LinkedDatabase
Specifies details of a linked database resource.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Resource ID of a database resource to link with this database. |
| state |
State of the link between the database resources. |
LinkState
State of the link between the database resources.
| Value | Description |
|---|---|
| Linked |
Linked |
| Linking |
Linking |
| Unlinking |
Unlinking |
| LinkFailed |
LinkFailed |
| UnlinkFailed |
UnlinkFailed |